cURL
curl "https://api.scrapio.dev/v1/trustpilot/reviews?domain=amazon.com&limit=20" \
-H "Authorization: Bearer $SCRAPIO_API_KEY"import requests
url = "https://api.scrapio.dev/v1/trustpilot/reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scrapio.dev/v1/trustpilot/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider": "trustpilot",
"request_id": "<string>",
"business": {
"name": "<string>",
"website": "<string>",
"trust_score": 123,
"stars": 123,
"number_of_reviews": 123,
"is_claimed": true,
"is_closed": true,
"country_code": "<string>"
},
"reviews": [
{
"id": "<string>",
"title": "<string>",
"text": "<string>",
"rating": 123,
"language": "<string>",
"likes": 123,
"experienced_date": "<string>",
"published_date": "<string>",
"is_verified": true,
"consumer": {
"display_name": "<string>",
"country_code": "<string>",
"number_of_reviews": 123
},
"reply": null
}
],
"total_count": 123,
"next_cursor": "<string>"
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}Trustpilot
Get Trustpilot reviews
Fetch Trustpilot reviews for a business domain, with rating/language/verified filters.
GET
/
v1
/
trustpilot
/
reviews
cURL
curl "https://api.scrapio.dev/v1/trustpilot/reviews?domain=amazon.com&limit=20" \
-H "Authorization: Bearer $SCRAPIO_API_KEY"import requests
url = "https://api.scrapio.dev/v1/trustpilot/reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scrapio.dev/v1/trustpilot/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider": "trustpilot",
"request_id": "<string>",
"business": {
"name": "<string>",
"website": "<string>",
"trust_score": 123,
"stars": 123,
"number_of_reviews": 123,
"is_claimed": true,
"is_closed": true,
"country_code": "<string>"
},
"reviews": [
{
"id": "<string>",
"title": "<string>",
"text": "<string>",
"rating": 123,
"language": "<string>",
"likes": 123,
"experienced_date": "<string>",
"published_date": "<string>",
"is_verified": true,
"consumer": {
"display_name": "<string>",
"country_code": "<string>",
"number_of_reviews": 123
},
"reply": null
}
],
"total_count": 123,
"next_cursor": "<string>"
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Business domain, e.g. amazon.com
Minimum string length:
1Filter to these star ratings, e.g. ?stars=1&stars=2
Required range:
1 <= x <= 5ISO language code, default en
Required string length:
2Only verified reviews
Max reviews to return in this call (1-500)
Required range:
1 <= x <= 500Opaque cursor from a previous response's next_cursor
Minimum string length:
1